import { JSONLD } from 'lincd-jsonld/utils/JSONLD';
import { createNameSpace } from 'lincd/utils/NameSpace';
import { linkedOntology } from '../package.js';
import * as _this from './dc.js';
export var loadData = () => {
    if (typeof module !== 'undefined' && typeof exports !== 'undefined') {
        // CommonJS import
        return import('../data/dcelems.json').then((data) => JSONLD.parse(data));
    }
    else {
        // ESM import
        //@ts-ignore
        return import('../data/dcelems.json', { assert: { type: 'json' } }).then((data) => JSONLD.parse(data.default));
    }
};
export var ns = createNameSpace('http://purl.org/dc/elements/1.1/');
export var _self = ns('');
// Properties
export var contributor = ns('contributor');
export var coverage = ns('coverage');
export var creator = ns('creator');
export var date = ns('date');
export var description = ns('description');
export var format = ns('format');
export var identifier = ns('identifier');
export var language = ns('language');
export var publisher = ns('publisher');
export var relation = ns('relation');
export var rights = ns('rights');
export var source = ns('source');
export var subject = ns('subject');
export var title = ns('title');
export var type = ns('type');
export const dcelems = {
    contributor,
    coverage,
    creator,
    date,
    description,
    format,
    identifier,
    language,
    publisher,
    relation,
    rights,
    source,
    subject,
    title,
    type,
};
linkedOntology(_this, ns, 'dc', loadData, '../data/dcelems.json'); // RDF seems to use 'dc' as the prefix
//# sourceMappingURL=dc.js.map