import { JSONLD } from 'lincd-jsonld/utils/JSONLD';
import { createNameSpace } from 'lincd/utils/NameSpace';
import { linkedOntology } from '../package.js';
import * as _this from './dcmitype.js';
export var loadData = () => {
    if (typeof module !== 'undefined' && typeof exports !== 'undefined') {
        // CommonJS import
        return import('../data/dcmitype.json').then((data) => JSONLD.parse(data));
    }
    else {
        // ESM import
        //@ts-ignore
        return import('../data/dcmitype.json', { assert: { type: 'json' } }).then((data) => JSONLD.parse(data.default));
    }
};
export var ns = createNameSpace('http://purl.org/dc/dcmitype/');
export var _self = ns('');
export var Collection = ns('Collection');
export var Dataset = ns('Dataset');
export var Event = ns('Event');
export var Image = ns('Image');
export var InteractiveResource = ns('InteractiveResource');
export var MovingImage = ns('MovingImage');
export var PhysicalObject = ns('PhysicalObject');
export var Service = ns('Service');
export var Software = ns('Software');
export var Sound = ns('Sound');
export var StillImage = ns('StillImage');
export var Text = ns('Text');
export const dcmitype = {
    Collection,
    Dataset,
    Event,
    Image,
    InteractiveResource,
    MovingImage,
    PhysicalObject,
    Service,
    Software,
    Sound,
    StillImage,
    Text,
};
linkedOntology(_this, ns, 'dcmitype', loadData, '../data/dcelems.json'); // RDF seems to use 'dc' as the prefix
//# sourceMappingURL=dcmitype.js.map