var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Shape } from 'lincd/shapes/Shape';
import { Literal } from 'lincd/models';
import { linkedShape } from '../package.js';
import { dcmitype } from '../ontologies/dcmitype.js';
import { dcterms } from '../ontologies/dcterms.js';
import { literalProperty } from 'lincd/utils/ShapeDecorators';
let Image = class Image extends Shape {
    get title() {
        return this.getValue(dcterms.title);
    }
    set title(value) {
        this.overwrite(dcterms.title, new Literal(value));
    }
    get description() {
        return this.getValue(dcterms.description);
    }
    set description(value) {
        this.overwrite(dcterms.description, new Literal(value));
    }
    /**
     * Sets the date that the image was taken.
     * Needs to confirm ISO 8601 date/time,
     * @see pattern from: https://stackoverflow.com/a/37563868
     * @see https://www.w3.org/TR/NOTE-datetime
     */
    get date() {
        return this.getValue(dcterms.date);
    }
    set date(value) {
        if (value instanceof Date) {
            value = value.toISOString();
        }
        this.overwrite(dcterms.date, new Literal(value));
    }
    get format() {
        return this.getValue(dcterms.format);
    }
    set format(value) {
        this.overwrite(dcterms.format, new Literal(value));
    }
    get creator() {
        return this.getOne(dcterms.creator);
    }
    set creator(value) {
        this.overwrite(dcterms.creator, value);
    }
    get publisher() {
        return this.getOne(dcterms.publisher);
    }
    set publisher(value) {
        this.overwrite(dcterms.publisher, value);
    }
    get subjects() {
        return this.getAll(dcterms.subject);
    }
};
Image.targetClass = dcmitype.Image;
__decorate([
    literalProperty({
        path: dcterms.date,
        pattern: /^\d{4}(-\d\d(-\d\d(T\d\d:\d\d(:\d\d)?(\.\d+)?(([+-]\d\d:\d\d)|Z)?)?)?)?$/i,
    }),
    __metadata("design:type", Object),
    __metadata("design:paramtypes", [Object])
], Image.prototype, "date", null);
Image = __decorate([
    linkedShape
], Image);
export { Image };
//# sourceMappingURL=Image.js.map